Skip to content

Aadhar Verification

| View as Markdown

This api is for validating a customer’s aadhar number. We have to pass name, consent text and aadhar number in request. If the request is valid, we will get a success response.

https://kraken.airpay.co.in/airpay/ms/baas/api/aadhaar-verification
ParameterType ValueDescriptionValue Like
content-type requiredapplication/jsonapplication/json
affiliate requiredTextWill be provided by airpay91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
checksum requiredText$string = $param.self::$secret_key;91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
api-key requiredTextWill be provided by airpay91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
processor-key requiredTextWill be provided by airpay91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
ParameterType ValueDescriptionValue Like
name requiredText
(4-50)
Name of the user sharing consentakhil
consentText requiredText
(1-10000)
Name of the user sharing consentok for consent
aadhaarNo requiredText
(12)
12 digit Aadhaar Card Number as per the Card786705541688
ParameterType ValueDescriptionValue Like
status requiredNumeric400- fail,200-success(length 3)200
message requiredTextsuccess, failsuccess
data requiredText{ “ageBand”: “20-30”, “gender”: “MALE”, “state”: “Kerala”, “mobile”: "" }
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/aadhaar-verification' \
--header 'content-type: application/json' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--data-raw {
"name": "akhil",
"consentText": "ok for consent",
"aadhaarNo":"786705541688"
}
{
"status": "200",
"message": "success",
"data": {
"ageBand": "20-30",
"gender": "MALE",
"state": "Kerala",
"mobile": ""
}
}
{
"status": "400",
"message": "Failed",
"data": ""
}